package net.afyre.haha.demo.solver.expr;

import net.afyre.haha.demo.solver.expr.formulae.FormulaSwitch;
import net.afyre.haha.demo.solver.expr.terms.TermSwitch;
import net.afyre.haha.demo.solver.expr.types.TypeSwitch;

/**
 * Interface of objects used to deconstruct expressions.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 * @param <Result> Type of objects returned by visitor methods.
 */
public interface ExpressionSwitch<Result> 
   extends TermSwitch<Result>, 
           FormulaSwitch<Result>, 
           TypeSwitch<Result> { }
