package net.afyre.haha.demo.solver.expr.types;

/**
 * Interface of atomic types.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface AtomicType extends ValueType {
  /**
   * Use a visitor to inspect this object.
   * @param <Result> Type of objects returned by the visitor.
   * @param v Visitor object.
   * @return Visit result.
   */
  <Result> Result accept(AtomicTypeSwitch<? extends Result> v); 
}
