package net.afyre.haha.demo.ui.prefs;

import net.afyre.haha.demo.ui.internal.HahaActivator;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

/**
 * Initializer for all preference pages.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public class HahaPreferenceInitializer extends AbstractPreferenceInitializer {

  /** {@inheritDoc} */
  @Override
  public void initializeDefaultPreferences() {
    final IPreferenceStore store = 
        HahaActivator.getInstance().getPreferenceStore();
    store.setDefault(SolverPreferencePage.PREF_SOLVER_PATH, "z3");
  }
}
