package net.afyre.haha.demo.vcgen.tree;

import net.afyre.haha.demo.vcgen.VerificationCondition;

/**
 * A node containing a verification condition.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface ConditionNode extends Node {
  /**
   * Get the verification condition associated with this node.
   * @return Verification condition.
   */
  VerificationCondition getCondition();
}
