package net.afyre.haha.demo.solver.expr.types;

/**
 * Interface of non-value types.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface NonValueType extends Type {
  /**
   * Use a visitor to inspect this object.
   * @param <Result> Type of objects returned by the visitor.
   * @param v Visitor object.
   * @return Visit result.
   */
  <Result> Result accept(NonValueTypeSwitch<? extends Result> v);
}
