package net.afyre.haha.demo.ui;

import java.net.URI;

import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.xtext.resource.XtextResource;
import org.eclipse.xtext.ui.editor.model.ResourceForIEditorInputFactory;

/**
 * Stolen from http://stackoverflow.com/questions/15359321/some-features-of-xtext-based-editor-dont-work-on-files-outside-a-project
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 *
 */
public class HahaResourceForIEditorInputFactory extends ResourceForIEditorInputFactory {

  @Override
  protected Resource createResource(URI uri) {
      XtextResource resource = (XtextResource) super.createResource(uri);
      resource.setValidationDisabled(false);
      return resource;
  }
}
